.. _intro-examples:

========
Examples
========

The best way to learn is with examples, and Scrapy is no exception. For this
reason, there is an example Scrapy project named dirbot_, that you can use to
play and learn more about Scrapy. It contains the dmoz spider described in the
tutorial.

This dirbot_ project is available at: https://github.com/scrapy/dirbot

It contains a README file with a detailed description of the project contents.

If you're familiar with git, you can checkout the code. Otherwise you can
download a tarball or zip file of the project by clicking on `Downloads`_.

Other sources for examples
==========================

1. There is a site for sharing code snippets (spiders, middlewares, extensions)
called `Scrapy snippets`_.

2. There is also a `Scrapy Recipes`_ page on the wiki that contains code
snippets for performing not-so-trivial tasks. This contains code posted before
the `Scrapy snippets`_ site was lunched. New code should be posted in `Scrapy
snippets`_.

.. _dirbot: https://github.com/scrapy/dirbot
.. _Downloads: https://github.com/scrapy/dirbot/archives/master
.. _Scrapy Recipes: http://dev.scrapy.org/wiki/ScrapyRecipes
.. _Scrapy snippets: http://snippets.scrapy.org/
